## rsvgoverlay rsvgoverlay |

## Properties

gchar * | data | Write
gboolean | fit-to-frame | Read / Write
gchar * | location | Write
gint | x | Read / Write
gint | y | Read / Write
gint | height | Read / Write
gfloat | height-relative | Read / Write
gint | width | Read / Write
gfloat | width-relative | Read / Write
gfloat | x-relative | Read / Write
gfloat | y-relative | Read / Write

## Types and Values

struct | GstRsvgOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstRsvgOverlay

## Description

This elements overlays SVG graphics over the video. SVG data can either be specified through properties, or fed through the data-sink pad.

Position and dimension of the SVG graphics can be achieved by specifying appropriate dimensions in the SVG file itself, but shortcuts are provided by the element to specify x/y position and width/height dimension, both in absolute form (pixels) and in relative form (percentage of video dimension).

For any measure (x/y/width/height), the absolute value (in pixels) takes precedence over the relative one if both are specified. Absolute values must be set to 0 to disable them.

If all parameters are 0, the image is displayed without rescaling at (0, 0) position.

The fit-to-frame property is a shortcut for displaying the SVG overlay at (0, 0) position filling the whole screen. It modifies the values of the x/y/width/height attributes, by setting height-/width-relative to 1.0. and all other attributes to 0.

#### Example launch lines

    1
    gst-launch-1.0 -v videotestsrc ! videoconvert ! rsvgoverlay location=foo.svg ! videoconvert ! autovideosink

specifies the SVG location through the filename property.

    1
    gst-launch-1.0 -v videotestsrc ! videoconvert ! rsvgoverlay name=overlay ! videoconvert ! autovideosink filesrc location=foo.svg ! image/svg ! overlay.data_sink

does the same by feeding data through the data_sink pad. You can also specify the SVG data itself as parameter:

    1
    gst-launch-1.0 -v videotestsrc ! videoconvert ! rsvgoverlay data='<svg viewBox="0 0 800 600"><image x="80%" y="80%" width="10%" height="10%" xlink:href="foo.jpg" /></svg>' ! videoconvert ! autovideosink

## Synopsis

### Element Information

plugin | rsvg
author | Olivier Aubert <olivier.aubert@liris.cnrs.fr>
class | Filter/Editor/Video

### Element Pads

name | data_sink
direction | sink
presence | always
details | image/svg+xml
| image/svg
| text/plain

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string)BGRA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRA, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstRsvgOverlay

    struct GstRsvgOverlay;

Opaque object data structure.

## Property Details

### The `“data”` property

      “data”                     gchar *

SVG data.

Flags: Write

Default value: ""

### The `“fit-to-frame”` property

      “fit-to-frame”             gboolean

Fit the SVG to fill the whole frame.

Flags: Read / Write

Default value: TRUE

### The `“location”` property

      “location”                 gchar *

SVG file location.

Flags: Write

Default value: ""

### The `“x”` property

      “x”                        gint

Specify an x offset.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“y”` property

      “y”                        gint

Specify a y offset.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“height”` property

      “height”                   gint

Specify a height in pixels.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“height-relative”` property

      “height-relative”          gfloat

Specify a height relative to the display size.

Flags: Read / Write

Default value: 0

### The `“width”` property

      “width”                    gint

Specify a width in pixels.

Flags: Read / Write

Allowed values: >= -2147483647

Default value: 0

### The `“width-relative”` property

      “width-relative”           gfloat

Specify a width relative to the display size.

Flags: Read / Write

Default value: 0

### The `“x-relative”` property

      “x-relative”               gfloat

Specify an x offset relative to the display size.

Flags: Read / Write

Default value: 0

### The `“y-relative”` property

      “y-relative”               gfloat

Specify a y offset relative to the display size.

Flags: Read / Write

Default value: 0